=== org.eclipse.core.resources.macosx/src/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2003 IBM Corp.  All rights reserved.
# This file is made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
#**********************************************************************
#
# Makefile for libcore on MacOS X


LIB_NAME = libcore_2_1_0a.jnilib

core:
	cc -I /System/Library/Frameworks/JavaVM.framework/Headers core.c -o $(LIB_NAME) -bundle -framework JavaVM

clean:
	rm *.o
