=== debian/changelog ===
eclipse (3.5.2-2ubuntu4.2) lucid-proposed; urgency=low

  * Backported fix for poor tooltip colors with certain themes. (LP: #540332)
  * Backported fix for hover text visability problem.

 -- Niels Thykier <niels@thykier.net>  Fri, 25 Jun 2010 00:43:37 +0200

eclipse (3.5.2-2ubuntu4.1) lucid-proposed; urgency=low

  [ Niels Thykier ]
  * Added Recommends on default-jdk | sun-java6-jdk for eclipse-jdt.
    (LP: #576952)
  * Added patch to deal with broken help-menu. (Closes: #576106, LP: #549904)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 09 May 2010 00:39:43 +0200

eclipse (3.5.2-2ubuntu4) lucid; urgency=low

  * No source change rebuild to pick up new location of sat4j (LP: #566131).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Apr 2010 14:38:12 +0200

eclipse (3.5.2-2ubuntu3) lucid; urgency=low

  * Add apport hook to collect more useful data for bug reports.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 21:44:52 +0200

eclipse (3.5.2-2ubuntu2) lucid; urgency=low

  [ Niels Thykier ]
  * Added missing copyright statement about ownership over the Debian packaging.

  [ Benjamin Drung ]
  * Set MOZILLA_FIVE_HOME instead of LD_LIBRARY_PATH and
    org.eclipse.swt.browser.XULRunnerPath (LP: #559229, #553779).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 13 Apr 2010 02:12:21 +0200

eclipse (3.5.2-2ubuntu1) lucid; urgency=low

  * Set org.eclipse.swt.browser.XULRunnerPath explicitly. (LP: #546518)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 25 Mar 2010 20:22:03 +0100

eclipse (3.5.2-2) unstable; urgency=low

  [ Niels Thykier ]
  * Changed section of eclipse packages to devel.
  * Install IJG_README from source dir rather than install dir.
    (Closes: #574619)
  * Added missing replace on eclipse to eclipse-platform-data. (Closes: #574607)
  * Fix broken symlinks in libequinox-osgi-java.
  * Imported ecj-gccmain-java.patch from ecj to add better support for gcj.

  [ Benjamin Drung ]
  * Integrate upstream-eclipse-build-repack.patch from final 0.5.0
    eclipse-build release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Mar 2010 23:16:41 +0100

eclipse (3.5.2-1) unstable; urgency=low

  * New upstream release. (LP: #123064)
    - Supports xulrunner-1.9.1 (Closes: #507536)
    - Fixed "Software Updates" menu. (Closes: #539016)
  * Converted build system to use eclipse-build 0.5.0. (Closes: #501533)
    - Fixed broken symlink in swt packages. (Closes: #543318)
    - Fixed broken plugins/features. (Closes: #493984)
    - Fixed problem finding native libraries. (Closes: #553131)
    - Fixed build for various archs. (Closes: #521312)
  * Stopped eclipse from unpacking native libraries into ~/.eclipse.
    (Closes: #351729)
  * Corrected Depends and Recommends. (Closes: #554677, #558246)
    - eclipse-jdt now only suggests eclipse.
    - removed strict dependency on openjdk.
    - removed recommends on eclipse-*-gcj packages.
  * Removed obsolete linda overrides.
  * New maintainers. (Closes: #526489)
  * Removed the need for Zenity (Closes: #528070)
  * Added missing "apt" plug-in for eclipse-jdt. (Closes: #403655, LP: #120610)
  * Added conflicts on the old eclipse-*-nls packages. (Closes: #538869)
  * Removed "builtin browser not supported"-warning; it did not work.
    (Closes: #402340, #491542)
  * Removed dependency on libtomcat5.5-java and liblucene-java-doc.
  * Stopped using special hacks and work arounds to find JVMs.
    - This removes the need for ~/.eclipse/eclipserc (Closes: #402077)
    - This makes eclipse read eclipse.ini (Closes: #491334)
    - This makes eclipse respect alternatives (Closes: #353360, #574271)
  * Moved the executable to eclipse-platform from eclipse. (Closes: #358594)
  * Put the osgi jar-files into its own separate package. (LP: #102717)
  * Added workaround for gtk problems. (Closes: #552480)
  * Added missing API references. (Closes: #376850)
  * Moved org.eclipse.ant.ui to eclipse-platform. (LP: #477944)
  * Added information about how to create the orig.tar.gz. (Closes: #505553)
  * Rewrote symlink script to handle folders that are renamed on different
    archs/builds. (LP: #471859)
  * Move eclipse.ini into /etc (LP: #43162)
  * Set a sane file limit for osgi-bundles. (Closes: #558693, LP: #293573)
  * Inject update sites on first run. (LP: #460944)
  * Prevent conflict with swt-gtk's swt packages. (Closes: #541638, LP: #491880)
    - Removed our swt packages.
    - Do not install conflicting symlinks/files.
  * Imported patch from Fedora that fixes seg. faults in libpango. (LP: #445009)
  * Update manpage. (LP: #494065)
  * Bump Standards-Version to 3.8.4.
  * Use system jars rather than pre-compiled ones. (LP: #453036)
  * Added notice to package descriptions that eclipse-pde is needed for most
    plugins. Thanks to Josh Bowman. (LP: #539256)

 -- Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 18 Mar 2010 12:13:51 +0100

eclipse (3.4.1-1) unstable; urgency=low

  * Build for unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2009 10:13:56 +0200

eclipse (3.2.2-5) unstable; urgency=low

  * Added junit4 support.
  * Added ant-nodeps.jar to ant classpath. Needed for replaceregexp tag.
  * Simplified debian/rules by removing all JVM_* variables.
  * Updated watch file to match upstream correctly. Closes: #449647.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * debian/eclipse-rcp.dirs. Removed, unneeded.
  * Updated debian/patches/eclipse-jsch-sftpexception.dpatch for jsch 0.1.36.
    Closes: #460364.
  * Updated (Build-)Depends on libjsch-java (>= 0.1.36).
  * Added JAVA_HOME for icedtea to debian/extra/java_home.
  * Add additional Depends on libgtk2.0-0 (>= 2.12.0-3) for libswt3.2-gtk-jni.
  * Added eclipse to Recommends of all plugin packages. Closes: #447202.
  * Added debian/source.lintian-overrides to shut up lintian a bit.
  * Added ${shlibs:Depends} to Depends of all -gcj packages with native jars.


