=== debian/control ===
Source: eclipse
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@ubuntu.com>,
           Adrian Perez <adrianperez-deb@ubuntu.com>,
           Adnan Hodzic <adnan@foolcontrol.org>
Build-Depends: ant (>= 1.7.1),
               ant-optional,
               debhelper (>= 7.0.50~),
               default-jdk,
               docbook2x,
               junit (>= 3.8.2-4),
               junit4 (>= 4.7-3),
               libasm3-java (>= 3.2-3),
               libatk1.0-dev,
               libcairo2-dev,
               libcommons-codec-java (>= 1.4-2),
               libcommons-el-java (>= 1.0-5),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-logging-java (>= 1.1.1-6),
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnome-vfsmm-2.6-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
               libhamcrest-java (>= 1.1-4),
               libicu4j-java (>= 4.0.1.1),
               libjasper-java,
               libjetty-java (>= 6.1.22),
               libjsch-java (>= 0.1.37-3),
               liblucene2-java (>= 2.9.1+ds1-5),
               libpango1.0-dev,
               libservlet2.5-java (>= 6.0.20-8),
               libxt-dev,
               libxtst-dev,
               lsb-release,
               pkg-config,
               sat4j (>= 2.1.0),
               unzip,
               xulrunner-dev (>= 1.9.1.3-2),
               zip
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
Homepage: http://www.eclipse.org/

Package: eclipse
Architecture: all
Depends: eclipse-jdt,
         eclipse-pde,
         ${misc:Depends}
Description: Extensible Tool Platform and Java IDE
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the whole Eclipse SDK, along with the Java Development
 Tools (JDT) and the Plugin Development Environment (PDE).  Please note that
 many plugins will fail to install if you don't have the eclipse-pde package
 installed.

Package: eclipse-jdt
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         eclipse-plugin-cvs (= ${binary:Version}),
         junit (>= 3.8.2-4),
         junit4 (>= 4.7-3),
         libhamcrest-java (>= 1.1-4),
         ${misc:Depends}
Recommends: default-jdk | sun-java6-jdk
Suggests: eclipse
Replaces: eclipse-jdt-gcj
Description: Eclipse Java Development Tools (JDT)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Java Development Tools, which are plug-ins to
 develop Java applications within Eclipse. It includes a complete and powerful
 Java IDE along with several editors, a refactoring engine, Ant and JUnit
 integration, debugger, and many more features.
 .
 Please note that many plugins will fail to install if you don't have the
 eclipse-pde package installed.

Package: eclipse-pde
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-jdt (= ${binary:Version}),
         eclipse-platform (= ${binary:Version}),
         libasm3-java (>= 3.2-3),
         ${misc:Depends}
Suggests: eclipse
Replaces: eclipse-pde-gcj
Description: Eclipse Plug-in Development Environment (PDE)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides tools for easy development of plug-ins for Eclipse.
 .
 Please note that many plugins will fail to install if you don't have the
 eclipse-pde package installed.

Package: eclipse-platform
Architecture: any
Depends: ant (>= 1.7.1),
         ant-optional,
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform-data (>= ${source:Version}),
         eclipse-rcp (= ${binary:Version}),
         java-common (>= 0.23),
         libcommons-codec-java (>= 1.4-2),
         libcommons-el-java (>= 1.0-5),
         libcommons-httpclient-java (>= 3.1-9),
         libcommons-logging-java (>= 1.1.1-6),
         libjasper-java,
         libjetty-java (>= 6.1.22),
         libjsch-java (>= 0.1.37-3),
         liblucene2-java (>= 2.9.1+ds1-5),
         libservlet2.5-java (>= 6.0.20-8),
         sat4j (>= 2.1.0),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Replaces: eclipse-jdt (<< 3.5.1+repack~3),
          eclipse-platform-common,
          eclipse-platform-gcj,
          eclipse-source (<= 3.1.1-3),
          libeclipse-jni
Conflicts: eclipse-platform-common,
           eclipse-source (<= 3.1.1-3),
           libeclipse-jni,
           eclipse-platform-nls,
           eclipse-common-nls
Suggests: eclipse-jdt,
          eclipse-pde
Description: Eclipse platform without plug-ins to develop any language
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides only the Eclipse Platform. It does not include any
 development plug-ins. These are available in different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the base for all eclipse plug-ins. Please note that many
 plugins will fail to install if you don't have the eclipse-pde package
 installed.

Package: eclipse-platform-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eclipse (<< 3.5.2),
          eclipse-platform (<< 3.5.1+repack~3),
          eclipse-platform-gcj
Description: Eclipse platform without plug-ins to develop any language (data)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides only the Eclipse Platform. It does not include any
 development plug-ins. These are available in different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the base for all eclipse plug-ins.
 .
 This package contains the architecture-independent data files.

Package: eclipse-plugin-cvs
Architecture: any
Depends: cvs (>= 1.12.13-8),
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         ${misc:Depends}
Replaces: eclipse-cvs
Description: Eclipse Team Integration (CVS support)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides CVS support for Source Code Management to the
 Eclipse Team Integration component.

Package: eclipse-rcp
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         libequinox-osgi-java (= ${source:Version}),
         libicu4j-java (>= 4.0.1.1),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: eclipse
Replaces: eclipse-rcp-gcj,
          libswt3.2-gtk-java,
          libswt3.2-gtk-gcj,
          libswt3.2-gtk-jni,
          libswt-gtk-3.4-java,
          libswt-gtk-3.4-jni,
          libswt-gtk-3.5-jni (<< 3.5.1+repack)
Description: Eclipse Rich Client Platform (RCP)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Rich Client Platform (RCP), which is
 the basis upon other Eclipse-based applications are built. It does not
 include any development plug-ins. These are available on different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the basis for all Eclipse applications.

Package: libequinox-osgi-java
Architecture: all
Section: java
Depends: default-jre | java5-runtime | java6-runtime,
         ${misc:Depends}
Conflicts: eclipse-rcp (<< 3.5.1-0ubuntu3)
Replaces: eclipse-platform-gcj,
          eclipse-rcp-gcj
Description: Equinox OSGi framework
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Equinox OSGi framework, which can
 be used outside Eclipse.
