=== debian/watch ===
version=3
# http://download.eclipse.org/technology/linuxtools/eclipse-build/
http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/linuxtools/eclipse-build/eclipse-([\d\.]*)-src\.tar\.bz2
